haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.Eval.Types

Synopsis

- locate :: Loc [a] -> [Loc a]
- locate0 :: [a] -> [Loc a]
- data Test
  - = Example {
    - testLines :: NonEmpty Txt
    - testOutput :: [Txt]
    - testRange :: Range
    }
  - | Property {
    - testline :: Txt
    - testOutput :: [Txt]
    - testRange :: Range
    }
- isProperty :: Test -> Bool
- data Format
  - = SingleLine
  - | MultiLine Range
- data Language
  - = Plain
  - | Haddock
- data Section = Section {
  - sectionName :: Txt
  - sectionTests :: [Test]
  - sectionLanguage :: Language
  - sectionFormat :: Format
  }
- data Sections = Sections {
  - nonSetupSections :: [Section]
  - setupSections :: [Section]
  }
- hasTests :: Section -> Bool
- hasPropertyTest :: Section -> Bool
- splitSections :: [Section] -> ([Section], [Section])
- type Loc = Located Line
- data Located l a = Located {
  - location :: l
  - located :: a
  }
- data Comments = Comments {
  - lineComments :: Map Range RawLineComment
  - blockComments :: Map Range RawBlockComment
  }
- newtype RawBlockComment = RawBlockComment {
  - getRawBlockComment :: String
  }
- newtype RawLineComment = RawLineComment {
  - getRawLineComment :: String
  }
- unLoc :: Located l a -> a
- type Txt = String
- data EvalParams = EvalParams {
  - sections :: [Section]
  - module_ :: !TextDocumentIdentifier
  - evalId :: !EvalId
  }
- data GetEvalComments = GetEvalComments
- data IsEvaluating = IsEvaluating
- nullComments :: Comments -> Bool

# Documentation

locate :: Loc [a] -> [Loc a] #

locate0 :: [a] -> [Loc a] #

data Test #

Constructors

Example |

Fields

- testLines :: NonEmpty Txt
- testOutput :: [Txt]
- testRange :: Range

Property |

Fields

- testline :: Txt
- testOutput :: [Txt]
- testRange :: Range

#### Instances

Instances details

FromJSON Test # |
Instance details Defined in Ide.Plugin.Eval.Types Methods parseJSON :: Value -> Parser Test # parseJSONList :: Value -> Parser [Test] # omittedField :: Maybe Test #
ToJSON Test # |
Instance details Defined in Ide.Plugin.Eval.Types Methods toJSON :: Test -> Value # toEncoding :: Test -> Encoding # toJSONList :: [Test] -> Value # toEncodingList :: [Test] -> Encoding # omitField :: Test -> Bool #
Generic Test # |

Instance details

Defined in Ide.Plugin.Eval.Types

Associated Types

type Rep Test |

Instance details

Defined in Ide.Plugin.Eval.Types

type Rep Test = D1 ('MetaData "Test" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "Example" 'PrefixI 'True) (S1 ('MetaSel ('Just "testLines") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (NonEmpty Txt)) :*: (S1 ('MetaSel ('Just "testOutput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Txt]) :*: S1 ('MetaSel ('Just "testRange") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Range))) :+: C1 ('MetaCons "Property" 'PrefixI 'True) (S1 ('MetaSel ('Just "testline") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Txt) :*: (S1 ('MetaSel ('Just "testOutput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Txt]) :*: S1 ('MetaSel ('Just "testRange") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Range))))

Methods

from :: Test -> Rep Test x #

to :: Rep Test x -> Test #

Show Test # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showsPrec :: Int -> Test -> ShowS # show :: Test -> String # showList :: [Test] -> ShowS #
NFData Test # |
Instance details Defined in Ide.Plugin.Eval.Types Methods rnf :: Test -> () #
Eq Test # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (==) :: Test -> Test -> Bool # (/=) :: Test -> Test -> Bool #
type Rep Test # |

Instance details

Defined in Ide.Plugin.Eval.Types

type Rep Test = D1 ('MetaData "Test" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "Example" 'PrefixI 'True) (S1 ('MetaSel ('Just "testLines") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (NonEmpty Txt)) :*: (S1 ('MetaSel ('Just "testOutput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Txt]) :*: S1 ('MetaSel ('Just "testRange") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Range))) :+: C1 ('MetaCons "Property" 'PrefixI 'True) (S1 ('MetaSel ('Just "testline") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Txt) :*: (S1 ('MetaSel ('Just "testOutput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Txt]) :*: S1 ('MetaSel ('Just "testRange") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Range))))

isProperty :: Test -> Bool #

data Format #

Constructors

SingleLine |
MultiLine Range | `Range` is that of surrounding entire block comment, not section. Used for detecting no-newline test commands.

#### Instances

Instances details

FromJSON Format # |
Instance details Defined in Ide.Plugin.Eval.Types Methods parseJSON :: Value -> Parser Format # parseJSONList :: Value -> Parser [Format] # omittedField :: Maybe Format #
ToJSON Format # |
Instance details Defined in Ide.Plugin.Eval.Types Methods toJSON :: Format -> Value # toEncoding :: Format -> Encoding # toJSONList :: [Format] -> Value # toEncodingList :: [Format] -> Encoding # omitField :: Format -> Bool #
Generic Format # |

Instance details

Defined in Ide.Plugin.Eval.Types

Associated Types

type Rep Format |

Instance details

Defined in Ide.Plugin.Eval.Types

type Rep Format = D1 ('MetaData "Format" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "SingleLine" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "MultiLine" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Range)))

Methods

from :: Format -> Rep Format x #

to :: Rep Format x -> Format #

Show Format # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showsPrec :: Int -> Format -> ShowS # show :: Format -> String # showList :: [Format] -> ShowS #
NFData Format # |
Instance details Defined in Ide.Plugin.Eval.Types Methods rnf :: Format -> () #
Eq Format # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (==) :: Format -> Format -> Bool # (/=) :: Format -> Format -> Bool #
Ord Format # |
Instance details Defined in Ide.Plugin.Eval.Types Methods compare :: Format -> Format -> Ordering # (<) :: Format -> Format -> Bool # (<=) :: Format -> Format -> Bool # (>) :: Format -> Format -> Bool # (>=) :: Format -> Format -> Bool # max :: Format -> Format -> Format # min :: Format -> Format -> Format #
type Rep Format # |

Instance details

Defined in Ide.Plugin.Eval.Types

type Rep Format = D1 ('MetaData "Format" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "SingleLine" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "MultiLine" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Range)))

data Language #

Constructors

Plain |
Haddock |

#### Instances

Instances details

FromJSON Language # |
Instance details Defined in Ide.Plugin.Eval.Types Methods parseJSON :: Value -> Parser Language # parseJSONList :: Value -> Parser [Language] # omittedField :: Maybe Language #
ToJSON Language # |
Instance details Defined in Ide.Plugin.Eval.Types Methods toJSON :: Language -> Value # toEncoding :: Language -> Encoding # toJSONList :: [Language] -> Value # toEncodingList :: [Language] -> Encoding # omitField :: Language -> Bool #
Generic Language # |

Instance details

Defined in Ide.Plugin.Eval.Types

Associated Types

type Rep Language |
Instance details Defined in Ide.Plugin.Eval.Types type Rep Language = D1 ('MetaData "Language" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "Plain" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "Haddock" 'PrefixI 'False) (U1 :: Type -> Type))

Methods

from :: Language -> Rep Language x #

to :: Rep Language x -> Language #

Show Language # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showsPrec :: Int -> Language -> ShowS # show :: Language -> String # showList :: [Language] -> ShowS #
NFData Language # |
Instance details Defined in Ide.Plugin.Eval.Types Methods rnf :: Language -> () #
Eq Language # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (==) :: Language -> Language -> Bool # (/=) :: Language -> Language -> Bool #
Ord Language # |
Instance details Defined in Ide.Plugin.Eval.Types Methods compare :: Language -> Language -> Ordering # (<) :: Language -> Language -> Bool # (<=) :: Language -> Language -> Bool # (>) :: Language -> Language -> Bool # (>=) :: Language -> Language -> Bool # max :: Language -> Language -> Language # min :: Language -> Language -> Language #
type Rep Language # |
Instance details Defined in Ide.Plugin.Eval.Types type Rep Language = D1 ('MetaData "Language" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "Plain" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "Haddock" 'PrefixI 'False) (U1 :: Type -> Type))

data Section #

Constructors

Section |

Fields

- sectionName :: Txt
- sectionTests :: [Test]
- sectionLanguage :: Language
- sectionFormat :: Format

#### Instances

Instances details

FromJSON Section # |
Instance details Defined in Ide.Plugin.Eval.Types Methods parseJSON :: Value -> Parser Section # parseJSONList :: Value -> Parser [Section] # omittedField :: Maybe Section #
ToJSON Section # |
Instance details Defined in Ide.Plugin.Eval.Types Methods toJSON :: Section -> Value # toEncoding :: Section -> Encoding # toJSONList :: [Section] -> Value # toEncodingList :: [Section] -> Encoding # omitField :: Section -> Bool #
Generic Section # |

Instance details

Defined in Ide.Plugin.Eval.Types

Associated Types

type Rep Section |

Instance details

Defined in Ide.Plugin.Eval.Types

type Rep Section = D1 ('MetaData "Section" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "Section" 'PrefixI 'True) ((S1 ('MetaSel ('Just "sectionName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Txt) :*: S1 ('MetaSel ('Just "sectionTests") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Test])) :*: (S1 ('MetaSel ('Just "sectionLanguage") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Language) :*: S1 ('MetaSel ('Just "sectionFormat") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Format))))

Methods

from :: Section -> Rep Section x #

to :: Rep Section x -> Section #

Show Section # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showsPrec :: Int -> Section -> ShowS # show :: Section -> String # showList :: [Section] -> ShowS #
NFData Section # |
Instance details Defined in Ide.Plugin.Eval.Types Methods rnf :: Section -> () #
Eq Section # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (==) :: Section -> Section -> Bool # (/=) :: Section -> Section -> Bool #
type Rep Section # |

Instance details

Defined in Ide.Plugin.Eval.Types

type Rep Section = D1 ('MetaData "Section" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "Section" 'PrefixI 'True) ((S1 ('MetaSel ('Just "sectionName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Txt) :*: S1 ('MetaSel ('Just "sectionTests") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Test])) :*: (S1 ('MetaSel ('Just "sectionLanguage") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Language) :*: S1 ('MetaSel ('Just "sectionFormat") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Format))))

data Sections #

Constructors

Sections |

Fields

- nonSetupSections :: [Section]
- setupSections :: [Section]

#### Instances

Instances details

Generic Sections # |

Instance details

Defined in Ide.Plugin.Eval.Types

Associated Types

type Rep Sections |

Instance details

Defined in Ide.Plugin.Eval.Types

type Rep Sections = D1 ('MetaData "Sections" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "Sections" 'PrefixI 'True) (S1 ('MetaSel ('Just "nonSetupSections") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Section]) :*: S1 ('MetaSel ('Just "setupSections") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Section])))

Methods

from :: Sections -> Rep Sections x #

to :: Rep Sections x -> Sections #

Show Sections # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showsPrec :: Int -> Sections -> ShowS # show :: Sections -> String # showList :: [Sections] -> ShowS #
Eq Sections # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (==) :: Sections -> Sections -> Bool # (/=) :: Sections -> Sections -> Bool #
type Rep Sections # |

Instance details

Defined in Ide.Plugin.Eval.Types

type Rep Sections = D1 ('MetaData "Sections" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "Sections" 'PrefixI 'True) (S1 ('MetaSel ('Just "nonSetupSections") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Section]) :*: S1 ('MetaSel ('Just "setupSections") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Section])))

hasTests :: Section -> Bool #

hasPropertyTest :: Section -> Bool #

splitSections :: [Section] -> ([Section], [Section]) #

Split setup and normal sections

type Loc = Located Line #

data Located l a #

A thing with a location attached.

Constructors

Located |

Fields

- location :: l
- located :: a

#### Instances

Instances details

Functor (Located l) # |
Instance details Defined in Ide.Plugin.Eval.Types Methods fmap :: (a -> b) -> Located l a -> Located l b # (<$) :: a -> Located l b -> Located l a #
(FromJSON l, FromJSON a) => FromJSON (Located l a) # |
Instance details Defined in Ide.Plugin.Eval.Types Methods parseJSON :: Value -> Parser (Located l a) # parseJSONList :: Value -> Parser [Located l a] # omittedField :: Maybe (Located l a) #
(ToJSON a, ToJSON l) => ToJSON (Located l a) # |
Instance details Defined in Ide.Plugin.Eval.Types Methods toJSON :: Located l a -> Value # toEncoding :: Located l a -> Encoding # toJSONList :: [Located l a] -> Value # toEncodingList :: [Located l a] -> Encoding # omitField :: Located l a -> Bool #
Generic (Located l a) # |

Instance details

Defined in Ide.Plugin.Eval.Types

Associated Types

type Rep (Located l a) |

Instance details

Defined in Ide.Plugin.Eval.Types

type Rep (Located l a) = D1 ('MetaData "Located" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "Located" 'PrefixI 'True) (S1 ('MetaSel ('Just "location") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 l) :*: S1 ('MetaSel ('Just "located") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 a)))

Methods

from :: Located l a -> Rep (Located l a) x #

to :: Rep (Located l a) x -> Located l a #

(Show l, Show a) => Show (Located l a) # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showsPrec :: Int -> Located l a -> ShowS # show :: Located l a -> String # showList :: [Located l a] -> ShowS #
(NFData l, NFData a) => NFData (Located l a) # |
Instance details Defined in Ide.Plugin.Eval.Types Methods rnf :: Located l a -> () #
(Eq l, Eq a) => Eq (Located l a) # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (==) :: Located l a -> Located l a -> Bool # (/=) :: Located l a -> Located l a -> Bool #
(Ord l, Ord a) => Ord (Located l a) # |
Instance details Defined in Ide.Plugin.Eval.Types Methods compare :: Located l a -> Located l a -> Ordering # (<) :: Located l a -> Located l a -> Bool # (<=) :: Located l a -> Located l a -> Bool # (>) :: Located l a -> Located l a -> Bool # (>=) :: Located l a -> Located l a -> Bool # max :: Located l a -> Located l a -> Located l a # min :: Located l a -> Located l a -> Located l a #
type Rep (Located l a) # |

Instance details

Defined in Ide.Plugin.Eval.Types

type Rep (Located l a) = D1 ('MetaData "Located" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "Located" 'PrefixI 'True) (S1 ('MetaSel ('Just "location") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 l) :*: S1 ('MetaSel ('Just "located") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 a)))

data Comments #

Constructors

Comments |

Fields

- lineComments :: Map Range RawLineComment
- blockComments :: Map Range RawBlockComment

#### Instances

Instances details

Monoid Comments # |
Instance details Defined in Ide.Plugin.Eval.Types Methods mempty :: Comments # mappend :: Comments -> Comments -> Comments # mconcat :: [Comments] -> Comments #
Semigroup Comments # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (<>) :: Comments -> Comments -> Comments # sconcat :: NonEmpty Comments -> Comments # stimes :: Integral b => b -> Comments -> Comments #
Generic Comments # |

Instance details

Defined in Ide.Plugin.Eval.Types

Associated Types

type Rep Comments |

Instance details

Defined in Ide.Plugin.Eval.Types

type Rep Comments = D1 ('MetaData "Comments" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "Comments" 'PrefixI 'True) (S1 ('MetaSel ('Just "lineComments") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Map Range RawLineComment)) :*: S1 ('MetaSel ('Just "blockComments") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Map Range RawBlockComment))))

Methods

from :: Comments -> Rep Comments x #

to :: Rep Comments x -> Comments #

Show Comments # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showsPrec :: Int -> Comments -> ShowS # show :: Comments -> String # showList :: [Comments] -> ShowS #
NFData Comments # |
Instance details Defined in Ide.Plugin.Eval.Types Methods rnf :: Comments -> () #
Eq Comments # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (==) :: Comments -> Comments -> Bool # (/=) :: Comments -> Comments -> Bool #
Ord Comments # |
Instance details Defined in Ide.Plugin.Eval.Types Methods compare :: Comments -> Comments -> Ordering # (<) :: Comments -> Comments -> Bool # (<=) :: Comments -> Comments -> Bool # (>) :: Comments -> Comments -> Bool # (>=) :: Comments -> Comments -> Bool # max :: Comments -> Comments -> Comments # min :: Comments -> Comments -> Comments #
type Rep Comments # |

Instance details

Defined in Ide.Plugin.Eval.Types

type Rep Comments = D1 ('MetaData "Comments" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "Comments" 'PrefixI 'True) (S1 ('MetaSel ('Just "lineComments") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Map Range RawLineComment)) :*: S1 ('MetaSel ('Just "blockComments") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Map Range RawBlockComment))))

newtype RawBlockComment #

Constructors

RawBlockComment |

Fields

- getRawBlockComment :: String

#### Instances

Instances details

IsString RawBlockComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods fromString :: String -> RawBlockComment #
Monoid RawBlockComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods mempty :: RawBlockComment # mappend :: RawBlockComment -> RawBlockComment -> RawBlockComment # mconcat :: [RawBlockComment] -> RawBlockComment #
Semigroup RawBlockComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (<>) :: RawBlockComment -> RawBlockComment -> RawBlockComment # sconcat :: NonEmpty RawBlockComment -> RawBlockComment # stimes :: Integral b => b -> RawBlockComment -> RawBlockComment #
Show RawBlockComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showsPrec :: Int -> RawBlockComment -> ShowS # show :: RawBlockComment -> String # showList :: [RawBlockComment] -> ShowS #
NFData RawBlockComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods rnf :: RawBlockComment -> () #
Eq RawBlockComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (==) :: RawBlockComment -> RawBlockComment -> Bool # (/=) :: RawBlockComment -> RawBlockComment -> Bool #
Ord RawBlockComment # |

Instance details

Defined in Ide.Plugin.Eval.Types

Methods

compare :: RawBlockComment -> RawBlockComment -> Ordering #

(<) :: RawBlockComment -> RawBlockComment -> Bool #

(<=) :: RawBlockComment -> RawBlockComment -> Bool #

(>) :: RawBlockComment -> RawBlockComment -> Bool #

(>=) :: RawBlockComment -> RawBlockComment -> Bool #

max :: RawBlockComment -> RawBlockComment -> RawBlockComment #

min :: RawBlockComment -> RawBlockComment -> RawBlockComment #

Stream RawBlockComment # |

Instance details

Defined in Ide.Plugin.Eval.Types

Associated Types

type Token RawBlockComment |
Instance details Defined in Ide.Plugin.Eval.Types type Token RawBlockComment = Token String
type Tokens RawBlockComment |
Instance details Defined in Ide.Plugin.Eval.Types type Tokens RawBlockComment = Tokens String

Methods

tokenToChunk :: Proxy RawBlockComment -> Token RawBlockComment -> Tokens RawBlockComment #

tokensToChunk :: Proxy RawBlockComment -> [Token RawBlockComment] -> Tokens RawBlockComment #

chunkToTokens :: Proxy RawBlockComment -> Tokens RawBlockComment -> [Token RawBlockComment] #

chunkLength :: Proxy RawBlockComment -> Tokens RawBlockComment -> Int #

chunkEmpty :: Proxy RawBlockComment -> Tokens RawBlockComment -> Bool #

take1_ :: RawBlockComment -> Maybe (Token RawBlockComment, RawBlockComment) #

takeN_ :: Int -> RawBlockComment -> Maybe (Tokens RawBlockComment, RawBlockComment) #

takeWhile_ :: (Token RawBlockComment -> Bool) -> RawBlockComment -> (Tokens RawBlockComment, RawBlockComment) #

TraversableStream RawBlockComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods reachOffset :: Int -> PosState RawBlockComment -> (Maybe String, PosState RawBlockComment) # reachOffsetNoLine :: Int -> PosState RawBlockComment -> PosState RawBlockComment #
VisualStream RawBlockComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showTokens :: Proxy RawBlockComment -> NonEmpty (Token RawBlockComment) -> String # tokensLength :: Proxy RawBlockComment -> NonEmpty (Token RawBlockComment) -> Int #
type Token RawBlockComment # |
Instance details Defined in Ide.Plugin.Eval.Types type Token RawBlockComment = Token String
type Tokens RawBlockComment # |
Instance details Defined in Ide.Plugin.Eval.Types type Tokens RawBlockComment = Tokens String

newtype RawLineComment #

Constructors

RawLineComment |

Fields

- getRawLineComment :: String

#### Instances

Instances details

IsString RawLineComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods fromString :: String -> RawLineComment #
Monoid RawLineComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods mempty :: RawLineComment # mappend :: RawLineComment -> RawLineComment -> RawLineComment # mconcat :: [RawLineComment] -> RawLineComment #
Semigroup RawLineComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (<>) :: RawLineComment -> RawLineComment -> RawLineComment # sconcat :: NonEmpty RawLineComment -> RawLineComment # stimes :: Integral b => b -> RawLineComment -> RawLineComment #
Show RawLineComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showsPrec :: Int -> RawLineComment -> ShowS # show :: RawLineComment -> String # showList :: [RawLineComment] -> ShowS #
NFData RawLineComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods rnf :: RawLineComment -> () #
Eq RawLineComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (==) :: RawLineComment -> RawLineComment -> Bool # (/=) :: RawLineComment -> RawLineComment -> Bool #
Ord RawLineComment # |

Instance details

Defined in Ide.Plugin.Eval.Types

Methods

compare :: RawLineComment -> RawLineComment -> Ordering #

(<) :: RawLineComment -> RawLineComment -> Bool #

(<=) :: RawLineComment -> RawLineComment -> Bool #

(>) :: RawLineComment -> RawLineComment -> Bool #

(>=) :: RawLineComment -> RawLineComment -> Bool #

max :: RawLineComment -> RawLineComment -> RawLineComment #

min :: RawLineComment -> RawLineComment -> RawLineComment #

Stream RawLineComment # |

Instance details

Defined in Ide.Plugin.Eval.Types

Associated Types

type Token RawLineComment |
Instance details Defined in Ide.Plugin.Eval.Types type Token RawLineComment = Token String
type Tokens RawLineComment |
Instance details Defined in Ide.Plugin.Eval.Types type Tokens RawLineComment = Tokens String

Methods

tokenToChunk :: Proxy RawLineComment -> Token RawLineComment -> Tokens RawLineComment #

tokensToChunk :: Proxy RawLineComment -> [Token RawLineComment] -> Tokens RawLineComment #

chunkToTokens :: Proxy RawLineComment -> Tokens RawLineComment -> [Token RawLineComment] #

chunkLength :: Proxy RawLineComment -> Tokens RawLineComment -> Int #

chunkEmpty :: Proxy RawLineComment -> Tokens RawLineComment -> Bool #

take1_ :: RawLineComment -> Maybe (Token RawLineComment, RawLineComment) #

takeN_ :: Int -> RawLineComment -> Maybe (Tokens RawLineComment, RawLineComment) #

takeWhile_ :: (Token RawLineComment -> Bool) -> RawLineComment -> (Tokens RawLineComment, RawLineComment) #

TraversableStream RawLineComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods reachOffset :: Int -> PosState RawLineComment -> (Maybe String, PosState RawLineComment) # reachOffsetNoLine :: Int -> PosState RawLineComment -> PosState RawLineComment #
VisualStream RawLineComment # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showTokens :: Proxy RawLineComment -> NonEmpty (Token RawLineComment) -> String # tokensLength :: Proxy RawLineComment -> NonEmpty (Token RawLineComment) -> Int #
type Token RawLineComment # |
Instance details Defined in Ide.Plugin.Eval.Types type Token RawLineComment = Token String
type Tokens RawLineComment # |
Instance details Defined in Ide.Plugin.Eval.Types type Tokens RawLineComment = Tokens String

unLoc :: Located l a -> a #

Discard location information.

type Txt = String #

data EvalParams #

Specify the test section to execute

Constructors

EvalParams |

Fields

- sections :: [Section]
- module_ :: !TextDocumentIdentifier
- evalId :: !EvalId

  unique group id; for test uses

#### Instances

Instances details

FromJSON EvalParams # |
Instance details Defined in Ide.Plugin.Eval.Types Methods parseJSON :: Value -> Parser EvalParams # parseJSONList :: Value -> Parser [EvalParams] # omittedField :: Maybe EvalParams #
ToJSON EvalParams # |
Instance details Defined in Ide.Plugin.Eval.Types Methods toJSON :: EvalParams -> Value # toEncoding :: EvalParams -> Encoding # toJSONList :: [EvalParams] -> Value # toEncodingList :: [EvalParams] -> Encoding # omitField :: EvalParams -> Bool #
Generic EvalParams # |

Instance details

Defined in Ide.Plugin.Eval.Types

Associated Types

type Rep EvalParams |
Instance details Defined in Ide.Plugin.Eval.Types type Rep EvalParams

Methods

from :: EvalParams -> Rep EvalParams x #

to :: Rep EvalParams x -> EvalParams #

Show EvalParams # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showsPrec :: Int -> EvalParams -> ShowS # show :: EvalParams -> String # showList :: [EvalParams] -> ShowS #
Eq EvalParams # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (==) :: EvalParams -> EvalParams -> Bool # (/=) :: EvalParams -> EvalParams -> Bool #
type Rep EvalParams # |
Instance details Defined in Ide.Plugin.Eval.Types type Rep EvalParams

data GetEvalComments #

Constructors

GetEvalComments |

#### Instances

Instances details

Generic GetEvalComments # |

Instance details

Defined in Ide.Plugin.Eval.Types

Associated Types

type Rep GetEvalComments |
Instance details Defined in Ide.Plugin.Eval.Types type Rep GetEvalComments = D1 ('MetaData "GetEvalComments" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "GetEvalComments" 'PrefixI 'False) (U1 :: Type -> Type))

Methods

from :: GetEvalComments -> Rep GetEvalComments x #

to :: Rep GetEvalComments x -> GetEvalComments #

Show GetEvalComments # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showsPrec :: Int -> GetEvalComments -> ShowS # show :: GetEvalComments -> String # showList :: [GetEvalComments] -> ShowS #
NFData GetEvalComments # |
Instance details Defined in Ide.Plugin.Eval.Types Methods rnf :: GetEvalComments -> () #
Eq GetEvalComments # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (==) :: GetEvalComments -> GetEvalComments -> Bool # (/=) :: GetEvalComments -> GetEvalComments -> Bool #
Hashable GetEvalComments # |
Instance details Defined in Ide.Plugin.Eval.Types Methods hashWithSalt :: Int -> GetEvalComments -> Int # hash :: GetEvalComments -> Int #
type Rep GetEvalComments # |
Instance details Defined in Ide.Plugin.Eval.Types type Rep GetEvalComments = D1 ('MetaData "GetEvalComments" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "GetEvalComments" 'PrefixI 'False) (U1 :: Type -> Type))
type RuleResult GetEvalComments # |
Instance details Defined in Ide.Plugin.Eval.Types type RuleResult GetEvalComments = Comments

data IsEvaluating #

Constructors

IsEvaluating |

#### Instances

Instances details

Generic IsEvaluating # |

Instance details

Defined in Ide.Plugin.Eval.Types

Associated Types

type Rep IsEvaluating |
Instance details Defined in Ide.Plugin.Eval.Types type Rep IsEvaluating = D1 ('MetaData "IsEvaluating" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "IsEvaluating" 'PrefixI 'False) (U1 :: Type -> Type))

Methods

from :: IsEvaluating -> Rep IsEvaluating x #

to :: Rep IsEvaluating x -> IsEvaluating #

Show IsEvaluating # |
Instance details Defined in Ide.Plugin.Eval.Types Methods showsPrec :: Int -> IsEvaluating -> ShowS # show :: IsEvaluating -> String # showList :: [IsEvaluating] -> ShowS #
NFData IsEvaluating # |
Instance details Defined in Ide.Plugin.Eval.Types Methods rnf :: IsEvaluating -> () #
Eq IsEvaluating # |
Instance details Defined in Ide.Plugin.Eval.Types Methods (==) :: IsEvaluating -> IsEvaluating -> Bool # (/=) :: IsEvaluating -> IsEvaluating -> Bool #
Hashable IsEvaluating # |
Instance details Defined in Ide.Plugin.Eval.Types Methods hashWithSalt :: Int -> IsEvaluating -> Int # hash :: IsEvaluating -> Int #
type Rep IsEvaluating # |
Instance details Defined in Ide.Plugin.Eval.Types type Rep IsEvaluating = D1 ('MetaData "IsEvaluating" "Ide.Plugin.Eval.Types" "haskell-language-server-2.7.0.0-FyFzaUQ9BChCIc3q1WTms6-hls-eval-plugin" 'False) (C1 ('MetaCons "IsEvaluating" 'PrefixI 'False) (U1 :: Type -> Type))
type RuleResult IsEvaluating # |
Instance details Defined in Ide.Plugin.Eval.Types type RuleResult IsEvaluating = Bool

nullComments :: Comments -> Bool #